Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.plugins.tomcat
[Groovy] Class TomcatServerFactory

    java.lang.Object
      org.grails.plugins.tomcat.TomcatServerFactory

All Implemented Interfaces:
  BuildSettingsAware, EmbeddableServerFactory

    class TomcatServerFactory

Property Summary
`BuildSettings` | `buildSettings`

Method Summary
`EmbeddableServer` | `createForWAR(java.lang.String warPath, java.lang.String contextPath)`
`EmbeddableServer` | `createInline(java.lang.String basedir, java.lang.String webXml, java.lang.String contextPath, java.lang.ClassLoader classLoader)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### buildSettings

    BuildSettings buildSettings

Method Detail

### createForWAR

    EmbeddableServer createForWAR(java.lang.String warPath, java.lang.String contextPath)

### createInline

    @CompileStatic
    EmbeddableServer createInline(java.lang.String basedir, java.lang.String webXml, java.lang.String contextPath, java.lang.ClassLoader classLoader)

Groovy Documentation